import request from '@/utils/request'

// 查询直播间题库列表
export function listLiveQuestionLive(query) {
    return request({
        url: '/live/liveQuestionLive/list',
        method: 'get',
        params: query
    })
}

// 查询直播间可选题库列表
export function listLiveQuestionOptionList(query) {
    return request({
        url: '/live/liveQuestionLive/optionList',
        method: 'get',
        params: query
    })
}

// 新增直播间题库
export function addLiveQuestionLive(data) {
    return request({
        url: '/live/liveQuestionLive',
        method: 'post',
        params: data
    })
}

// 删除直播间题库
export function deleteLiveQuestionLive(data) {
    return request({
        url: '/live/liveQuestionLive/' + data.liveId,
        method: 'delete',
        params: {ids: data.ids}
    })
}